# WARNING: This package is synced with FC
%global major 0
%global apiversion 0.0
%define libname %mklibname qxp %apiversion %major
%define devname %mklibname -d qxp %apiversion

Name: libqxp
Version: 0.0.2
Release: %mkrel 11
Summary: Library for import of QuarkXPress documents
Group: System/Libraries

License: MPLv2.0
URL: https://wiki.documentfoundation.org/DLP/Libraries/libqxp
Source: https://dev-www.libreoffice.org/src/%{name}/%{name}-%{version}.tar.xz
Patch0: 0001-Fix-build-with-Wl-no-undefined-linker-flag.patch
BuildRequires: boost-devel
BuildRequires: doxygen
BuildRequires: help2man
BuildRequires: pkgconfig(cppunit)
BuildRequires: pkgconfig(icu-uc)
BuildRequires: pkgconfig(librevenge-0.0)
BuildRequires: pkgconfig(librevenge-generators-0.0)
BuildRequires: pkgconfig(librevenge-stream-0.0)

%description
libqxp is library providing ability to interpret and import QuarkXPress
document formats into various applications. Currently it only supports
QuarkXPress 3.1-4.1.

%package -n %libname
Summary: Library for import of QuarkXPress documents
Group: System/Libraries
Obsoletes: %{_lib}qxp0 < 0.0.0-2

%description -n %libname
libqxp is library providing ability to interpret and import QuarkXPress
document formats into various applications. Currently it only supports
QuarkXPress 3.1-4.1.

%package -n %devname
Group: Development/C
Summary: Development files for %{name}
Requires: %{libname} = %{version}-%{release}
Obsoletes: %{_lib}qxp-devel < 0.0.0-2
Provides: %{name}-devel = %{version}-%{release}

%description -n %devname
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary: Documentation of %{name} API
BuildArch: noarch
Group: Documentation

%description doc
The %{name}-doc package contains documentation files for %{name}.

%package tools
Summary: Tools to transform QuarkXPress documents into other formats
Requires: %{libname} = %{version}-%{release}

%description tools
Tools to transform QuarkXPress documents into other formats.
Currently supported: SVG, plain text, raw.

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure --disable-silent-rules --disable-static
sed -i \
    -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    libtool
%make_build

%install
%make_install
rm -f %{buildroot}/%{_libdir}/*.la
# we install API docs directly from build
rm -rf %{buildroot}/%{_docdir}/%{name}

# generate and install man pages
export LD_LIBRARY_PATH=%{buildroot}/%{_libdir}${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
for tool in qxp2raw qxp2svg qxp2text; do
    help2man -N -S '%{name} %{version}' -o ${tool}.1 %{buildroot}%{_bindir}/${tool}
done
install -m 0755 -d %{buildroot}/%{_mandir}/man1
install -m 0644 qxp2*.1 %{buildroot}/%{_mandir}/man1


%check
export LD_LIBRARY_PATH=%{buildroot}/%{_libdir}${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
%make_build check

%files -n %libname
%doc AUTHORS NEWS README
%license COPYING
%{_libdir}/%{name}-%{apiversion}.so.%{major}{,.*}

%files -n %devname
%doc ChangeLog
%{_includedir}/%{name}-%{apiversion}
%{_libdir}/%{name}-%{apiversion}.so
%{_libdir}/pkgconfig/%{name}-%{apiversion}.pc

%files doc
%license COPYING
%doc docs/doxygen/html

%files tools
%{_bindir}/qxp2raw
%{_bindir}/qxp2svg
%{_bindir}/qxp2text
%{_mandir}/man1/qxp2raw.1*
%{_mandir}/man1/qxp2svg.1*
%{_mandir}/man1/qxp2text.1*



%changelog
* Tue Sep 26 2023 tv <tv> 0.0.2-11.mga10
+ Revision: 1991091
- Rebuild for icu-73

* Sat Jan 07 2023 squidf <squidf> 0.0.2-10.mga9
+ Revision: 1931141
- Mass rebuild for icu 72.1

* Sat Jun 18 2022 squidf <squidf> 0.0.2-9.mga9
+ Revision: 1864871
- rebuild for icu 71.1

* Sat Mar 19 2022 umeabot <umeabot> 0.0.2-8.mga9
+ Revision: 1799854
- Mageia 9 Mass Rebuild

* Tue Aug 03 2021 luigiwalser <luigiwalser> 0.0.2-7.mga9
+ Revision: 1738943
- rebuild for icu

* Mon Nov 30 2020 luigiwalser <luigiwalser> 0.0.2-6.mga8
+ Revision: 1650898
- rebuild for icu

* Wed Jul 01 2020 wally <wally> 0.0.2-5.mga8
+ Revision: 1601039
- rebuild for icu 67.1

* Sat Apr 04 2020 wally <wally> 0.0.2-4.mga8
+ Revision: 1564475
- rebuild for new icu 66.1
+ danf <danf>
- Switch URLs from http: to https:

* Sun Feb 16 2020 umeabot <umeabot> 0.0.2-3.mga8
+ Revision: 1534613
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Oct 05 2019 daviddavid <daviddavid> 0.0.2-2.mga8
+ Revision: 1449452
- rebuild for new icu 65.1

* Mon Dec 31 2018 tv <tv> 0.0.2-1.mga7
+ Revision: 1347315
- new release

* Sun Sep 23 2018 umeabot <umeabot> 0.0.1-3.mga7
+ Revision: 1299116
- Mageia 7 Mass Rebuild

* Mon Aug 20 2018 tv <tv> 0.0.1-2.mga7
+ Revision: 1252958
- rebuild for new libicu

* Tue Jan 23 2018 tv <tv> 0.0.1-1.mga7
+ Revision: 1196606
- new release

* Fri Dec 29 2017 wally <wally> 0.0.0-3.mga7
+ Revision: 1186987
- rebuild for new icu

* Tue Nov 07 2017 wally <wally> 0.0.0-2.mga7
+ Revision: 1176407
- add patch to fix linking
- fix pkg names
- fix lib pkg summary

* Tue Nov 07 2017 tv <tv> 0.0.0-1.mga7
+ Revision: 1176331
- imported package libqxp

